/*
 * Copyright 2016 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.record8;

/**
 * Functional interface for LengthProvider2.getMaxLenggth().
 */
@FunctionalInterface
public interface MaxLengthFunction {
    /**
     * Get max length of struct.
     * Note: can only be used with struct fields of field types FIXSTR, FIXSTRNULTERM,
     * PACKEDBCD and ZONEDBCD.
     * @return max length (values &lt; 0 indicates that value is to be ignored)
     */
	public int getMaxLength();
}
